Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.vision
Class Recorder

    java.lang.Object
      java.lang.Thread
          josx.vision.Recorder

All Implemented Interfaces:
  java.lang.Runnable, javax.media.ControllerListener

    public class Recorder

extends java.lang.Thread
implements javax.media.ControllerListener

Video recorder

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Recorder(java.lang.String filename, int millis)` Create the recorder.

Method Summary
`void` | `controllerUpdate(javax.media.ControllerEvent evt)` Controller Listener.
`boolean` | `playToEndOfMedia(int timeOutMillis)`
`void` | `run()`
`static void` | `stopRecording()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Recorder

    public Recorder(java.lang.String filename,
                    int millis)

  Create the recorder.

Method Detail

### stopRecording

    public static void stopRecording()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### controllerUpdate

    public void controllerUpdate(javax.media.ControllerEvent evt)

  Controller Listener.

  Specified by:
    `controllerUpdate` in interface `javax.media.ControllerListener`

### playToEndOfMedia

    public boolean playToEndOfMedia(int timeOutMillis)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD